cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
dr_eck
Pilgrim

14 errors starting with 1007

I am struggling with ISLE. It used to work with VS2013 Community Edition, but when I installed VS2015 Community Edition and ISLE 2015, it broke.

It appears that ISLE is not compatible with VS2105CE. This is a pain I can live with, but only because I can "round trip" solutions back to 2013 and create the installer.

So, I have my solution back in VS2013CE and am trying to build an installer. The first of 14 errors is this:

Error 61 -1007: Cannot copy source 'C:\Program Files (x86)\InstallShield\2015LE\SetupPrerequisites\Windows Installer\3.1\x86\WindowsInstaller-KB893803-v2-x86.exe' to target 'C:\Users\Steve\Documents\Visual Studio 2015\Projects\Pt Grey\ScatterometerSetup\ScatterometerSetup\Express\SingleImage\DiskImages\DISK1\ISSetupPrerequisites\{57bcd1d4-2de9-49d9-bc0c-3f4263e9970e}\WindowsInstaller-KB893803-v2-x86.exe' ISEXP : error : -1007: Cannot copy source 'C:\Program Files (x86)\InstallShield\2015LE\SetupPrerequisites\Windows Installer\3.1\x86\WindowsInstaller-KB893803-v2-x86.exe' to target 'C:\Users\Steve\Documents\Visual Studio 2015\Projects\Pt Grey\ScatterometerSetup\ScatterometerSetup\Express\SingleImage\DiskImages\DISK1\ISSetupPrerequisites\{57bcd1d4-2de9-49d9-bc0c-3f4263e9970e}\WindowsInstaller-KB893803-v2-x86.exe'

The root of the problem appears to be that 'C:\Program Files (x86)\InstallShield\2015LE\ does not exist. I've tried reinstalling ISLE, but this directory is just not created. Is it because I have VS2015CE installed?

What's the workaround?
0 Kudos
1 Reply
Flexera Ken536
Flexera

Re: 14 errors starting with 1007

Hi,

If you installed LE, the directory should be there. If you had changed it to something else, Option InstallShield LE > Options in VS. There should be a Prerequisites tab. Provide the location of the PRQ files you are using.
You can also uncheck and recheck the prerequisites in the Redistributable view. This should redownload the files.
0 Kudos